import Header from "@/Components/Header";
import React, { useEffect } from "react";
import Footer from "@/Components/Footer";
import TrendStories from "@/Components/TrendStories";
import InstagramFeeds from "@/Components/InstagramFeeds";
import { router, usePage, Link, Head } from "@inertiajs/react";
// import AdSense from "react-adsense";

import Icon from "@mdi/react";
import {
    mdiCameraOutline,
    mdiCheckOutline,
    mdiStarHalf,
    mdiStar,
    mdiCheckCircle,
    mdiCheckCircleOutline,
    mdiPlus,
    mdiMinus,
    mdiChevronRight,
    mdiCalendar,
    mdiChevronLeft,
} from "@mdi/js";
export default function Blog() {
    const { posts, auth } = usePage().props;
    useEffect(() => {}, []);

    const formatDate = (dateString) => {
        const date = new Date(dateString);
        const options = {
            year: "numeric",
            month: "short",
            day: "2-digit",
            hour: "numeric",
            minute: "2-digit",
            hour12: true,
        };
        return date.toLocaleDateString("en-US", options);
    };

    return (
        <>
            <Head title={`Blog `} />

            <div>
                {/*========== HEADER STYLE ONE START ==========*/}
                <Header fixed={false} />
                {/*========== HEADER STYLE ONE END ==========*/}
                {/*========== HERO STYLE ONE START ==========*/}
                <>
                    <>
                        {/*========== BREADCRUMB STYLE START ==========*/}
                        <div className="paralax-container lg:py-36 py-20 relative overflow-hidden">
                            <div
                                className="jarallax absolute inset-0 z-minus before:content-[''] before:absolute before:inset-0 before:bg-[#030610] before:bg-opacity-50 before:z-minus"
                                data-jarallax=""
                            >
                                <img
                                    className="jarallax-img"
                                    src="/assets/images/backgrounds/breadcrumb-bg.webp"
                                    alt="placeholder"
                                />
                            </div>
                            <img
                                src="/assets/images/illustration/breadcrunb__shape.png"
                                alt="placeholder"
                                className="absolute bottom-0 left-0 z-1 lg:w-[12.5%] w-[20%]"
                            />
                            <img
                                src="/assets/images/illustration/bird-illustration-w.png"
                                alt="placeholder"
                                className="absolute top-[10%] right-[4%] z-1 w-[7.5%]"
                            />
                            <div className="container relative z-2">
                                <nav aria-label="breadcrumb">
                                    <ol className="breadcrumb">
                                        <li>
                                            <a href="#">Home</a>
                                        </li>
                                        <li className="active_page">
                                            Blog List
                                        </li>
                                    </ol>
                                </nav>
                                <h2 className="xl:text-[54px] mt-2 lg:text-4xl md:text-2xl text-[30px] text-white leading-[1.3] font-medium max-w-[640px]">
                                    A Blog Posts
                                </h2>
                            </div>
                        </div>
                        {/*========== BREADCRUMB STYLE END ==========*/}
                        {/*========== BLOG LIST STYLE START ==========*/}
                        <div className="lg:pt-30 pt-24 relative z-1 bg-gradient-to-t to-[#FFF1EC] from-white">
                            <div className="absolute top-1/2 -translate-y-1/2 right-0 max-w-[14%] z-minus lg:inline-block hidden">
                                <img
                                    src="/assets/images/illustration/tree-illustration.png"
                                    alt="leaf"
                                />
                            </div>
                            <div className="absolute top-[5%] left-[1%] max-w-[9%] z-minus lg:inline-block hidden">
                                <img
                                    src="/assets/images/illustration/bird-illustration.png"
                                    alt="leaf"
                                />
                            </div>
                            <div className="container">
                                <div className="grid grid-cols-12 gap-base">
                                    <div className="lg:col-span-8 col-span-12">
                                        {/* single blog card */}
                                        {posts.map((item, index) => {
                                            return (
                                                <Link
                                                    key={index}
                                                    href={`/blog/${
                                                        item.id
                                                    }/${item.title.replace(
                                                        /\s+/g,
                                                        "-"
                                                    )}`}
                                                    className="mt-10 lg:mt-[50px] first:mt-0 first:lg:mt-0"
                                                >
                                                    <div className="overflow-hidden">
                                                        <Link
                                                            href={`/blog/${
                                                                item.id
                                                            }/${item.title.replace(
                                                                /\s+/g,
                                                                "-"
                                                            )}`}
                                                        >
                                                            <img
                                                                src={`/${item.image_cover}`}
                                                                alt={item.title}
                                                                className="w-full"
                                                            />
                                                        </Link>
                                                    </div>
                                                    <div className="lg:mt-[34px] mt-6">
                                                        <ul className="flex items-center text-[13px] font-medium text-dark-2">
                                                            <li className="flex items-center relative first:pl-0 pl-2 pr-2 before:content-[''] before:absolute before:h-2/3 before:w-[1px] before:bg-dark-2 before:-translate-y-1/2 before:top-1/2 before:left-0 first:before:hidden">
                                                                <Icon
                                                                    path={
                                                                        mdiCalendar
                                                                    }
                                                                    size={0.7}
                                                                    className="text-black"
                                                                />
                                                                <span className="ml-2">
                                                                    {formatDate(
                                                                        item.date
                                                                    )}
                                                                </span>
                                                            </li>
                                                            <li className="flex items-center relative first:pl-0 pl-2 pr-2 before:content-[''] before:absolute before:h-2/3 before:w-[1px] before:bg-dark-2 before:-translate-y-1/2 before:top-1/2 before:left-0 ">
                                                                {item.viewed_times +
                                                                    2}{" "}
                                                                View
                                                            </li>
                                                        </ul>
                                                        <h2 className="text-dark-1 font-medium leading-[1.43] lg:text-2xl md:text-xl text-[28px] mt-[14px]">
                                                            <a href="blog-details.html">
                                                                {item.title}
                                                            </a>
                                                        </h2>
                                                        <p className="regular-text-v1 !leading-1.6 mt-[14px]">
                                                            {item.description1}
                                                        </p>
                                                        <a
                                                            href="blog-details.html"
                                                            className="group ease-in hover:text-primary-1 duration-200 inline-flex items-center mt-6 lg:text-md text-base text-dark-1 font-medium"
                                                        >
                                                            <span className="mr-2">
                                                                Read More
                                                            </span>
                                                            <svg
                                                                className="group-hover:translate-x-2 duration-200 "
                                                                width={27}
                                                                height={14}
                                                                viewBox="0 0 27 14"
                                                                fill="none"
                                                                xmlns="http://www.w3.org/2000/svg"
                                                            >
                                                                <path
                                                                    d="M0.217443 6.25H18.4827C18.6276 6.25 18.7001 6.30263 18.7001 6.40789V7.59211C18.7001 7.69737 18.6276 7.75 18.4827 7.75H0.217443C0.0724811 7.75 0 7.69737 0 7.59211V6.40789C0 6.30263 0.0724811 6.25 0.217443 6.25Z"
                                                                    fill="currentColor"
                                                                />
                                                                <path
                                                                    d="M20.7001 12.2802L25.0467 7.93355C25.5601 7.42021 25.5601 6.58021 25.0467 6.06688L20.7001 1.72021"
                                                                    stroke="currentColor"
                                                                    strokeWidth="1.5"
                                                                    strokeMiterlimit={
                                                                        10
                                                                    }
                                                                    strokeLinecap="round"
                                                                    strokeLinejoin="round"
                                                                />
                                                            </svg>
                                                        </a>
                                                    </div>
                                                </Link>
                                            );
                                        })}
                                        {/* <div className="mt-10 lg:mt-[50px] first:mt-0 first:lg:mt-0">
                                            <AdSense.Google
                                                client="ca-pub-4460213849771600"
                                                slot="1421134476"
                                                style={{
                                                    display: "block",
                                                }}
                                                layoutKey="-eb+4z+3v-fw+n2"
                                                format="fluid"
                                            />{" "}
                                        </div> */}

                                        <nav>
                                            <ul className="flex justify-center items-center lg:space-x-6 space-x-5 flex-wrap lg:pt-[60px] pt-[40px]">
                                                <li>
                                                    <a
                                                        href="#"
                                                        className="h-10 w-10 border-primary-1 border text-primary-1 hover:bg-primary-1 hover:text-white duration-200 inline-flex justify-center items-center"
                                                    >
                                                        <Icon
                                                            path={
                                                                mdiChevronLeft
                                                            }
                                                            size={1}
                                                            className="hover:text-white text-primary-1"
                                                        />
                                                    </a>
                                                </li>
                                                <li>
                                                    <a
                                                        href="#"
                                                        className=" font-medium lg:text-base text-sm text-dark-1 duration-150 hover:text-primary-1 inline-block"
                                                    >
                                                        01
                                                    </a>
                                                </li>

                                                <li>
                                                    <a
                                                        href="#"
                                                        className="h-10 w-10 border-primary-1 border text-primary-1 hover:bg-primary-1 hover:text-white duration-200 inline-flex justify-center items-center"
                                                    >
                                                        <Icon
                                                            path={
                                                                mdiChevronRight
                                                            }
                                                            size={1}
                                                            className="hover:text-white text-primary-1"
                                                        />
                                                    </a>
                                                </li>
                                            </ul>
                                        </nav>
                                    </div>
                                    <TrendStories />
                                </div>
                            </div>
                        </div>
                        {/*========== BLOG LIST STYLE END ==========*/}
                    </>
                </>
                {/*========== INSTAGRAM FEED STYLE START ==========*/}
                {/* <InstagramFeeds /> */}
                {/*========== INSTAGRAM FEED STYLE END ==========*/}
                {/*========== FOOTER STYLE START ==========*/}
                <Footer />
                {/*========== FOOTER STYLE END ==========*/}
            </div>
        </>
    );
}
